Package de.willuhn.jameica.hbci.io

# Class Reporter

java.lang.Object
de.willuhn.jameica.hbci.io.Reporter

public class Reporter extends Object
Kapselt den Export von Daten im PDF-Format.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final com.itextpdf.text.BaseColor`
`COLOR_BG`
Farbvorgabe fuer Hintergruende.
`static final com.itextpdf.text.BaseColor`
`COLOR_FG`
Farbvorgabe fuer normalen Text.
`static final com.itextpdf.text.BaseColor`
`COLOR_GRAY`
Farbvorgabe fuer Grau.
`static final com.itextpdf.text.BaseColor`
`COLOR_GREEN`
Farbvorgabe fuer Gruen.
`static final com.itextpdf.text.BaseColor`
`COLOR_RED`
Farbvorgabe fuer Rot.
`static final com.itextpdf.text.BaseColor`
`COLOR_WHITE`
Farbvorgabe fuer Weiss.

## Constructor Summary

Constructors
Constructor
Description
`Reporter(OutputStream out, de.willuhn.util.ProgressMonitor monitor, String title, String subtitle, int maxRecords)`
ct.

## Method Summary

Modifier and Type
Method
Description
`void`
`add(com.itextpdf.text.Paragraph p)`
Fuegt einen neuen Absatz hinzu.
`void`
`addColumn(com.itextpdf.text.pdf.PdfPCell cell)`
Fuegt eine neue Spalte hinzu.
`void`
`addHeaderColumn(String text, int align, int width, com.itextpdf.text.BaseColor color)`
Fuegt der Tabelle einen neuen Spaltenkopf hinzu.
`void`
`close()`
Schliesst den Report.
`void`
`createHeader()`
Erzeugt den Tabellen-Header.
`com.itextpdf.text.pdf.PdfPCell`
`getDetailCell(double value)`
Erzeugt eine Zelle fuer die uebergebene Zahl.
`com.itextpdf.text.pdf.PdfPCell`
`getDetailCell(double value, com.itextpdf.text.BaseColor color)`
Erzeugt eine Zelle fuer die uebergebene Zahl in der angegebenen Farbe.
`com.itextpdf.text.pdf.PdfPCell`
`getDetailCell(double value, com.itextpdf.text.BaseColor color, int fontStyle)`
Erzeugt eine Zelle fuer die uebergebene Zahl in der angegebenen Farbe.
`com.itextpdf.text.pdf.PdfPCell`
`getDetailCell(Double value)`
Erzeugt eine Zelle der Tabelle.
`com.itextpdf.text.pdf.PdfPCell`
`getDetailCell(String text, int align)`
Erzeugt eine Zelle der Tabelle.
`com.itextpdf.text.pdf.PdfPCell`
`getDetailCell(String text, int align, com.itextpdf.text.BaseColor backgroundcolor)`
Erzeugt eine Zelle der Tabelle.
`com.itextpdf.text.pdf.PdfPCell`
`getDetailCell(String text, int align, com.itextpdf.text.BaseColor backgroundColor, com.itextpdf.text.BaseColor textColor, int fontStyle)`
Erzeugt eine Zelle der Tabelle.
`String`
`notNull(String text)`
Gibt einen Leerstring aus, falls der Text null ist.
`void`
`setNextRecord()`
Rueckt den Monitor weiter.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### COLOR_FG

public static final com.itextpdf.text.BaseColor COLOR_FG
Farbvorgabe fuer normalen Text.

### COLOR_BG

public static final com.itextpdf.text.BaseColor COLOR_BG
Farbvorgabe fuer Hintergruende.

### COLOR_RED

public static final com.itextpdf.text.BaseColor COLOR_RED
Farbvorgabe fuer Rot.

### COLOR_GREEN

public static final com.itextpdf.text.BaseColor COLOR_GREEN
Farbvorgabe fuer Gruen.

### COLOR_WHITE

public static final com.itextpdf.text.BaseColor COLOR_WHITE
Farbvorgabe fuer Weiss.

### COLOR_GRAY

public static final com.itextpdf.text.BaseColor COLOR_GRAY
Farbvorgabe fuer Grau.

## Constructor Details

### Reporter

public Reporter(OutputStream out, de.willuhn.util.ProgressMonitor monitor, String title, String subtitle, int maxRecords) throws com.itextpdf.text.DocumentException
ct.

Parameters:
  `out` -
  `monitor` -
  `title` -
  `subtitle` -
  `maxRecords` -
Throws:
  `com.itextpdf.text.DocumentException`

## Method Details

### add

public void add(com.itextpdf.text.Paragraph p) throws com.itextpdf.text.DocumentException
Fuegt einen neuen Absatz hinzu.

Parameters:
  `p` -
Throws:
  `com.itextpdf.text.DocumentException`

### addHeaderColumn

public void addHeaderColumn(String text, int align, int width, com.itextpdf.text.BaseColor color)
Fuegt der Tabelle einen neuen Spaltenkopf hinzu.

Parameters:
  `text` -
  `align` -
  `width` -
  `color` -

### addColumn

public void addColumn(com.itextpdf.text.pdf.PdfPCell cell)
Fuegt eine neue Spalte hinzu.

Parameters:
  `cell` -

### setNextRecord

public void setNextRecord()
Rueckt den Monitor weiter.

### createHeader

public void createHeader() throws com.itextpdf.text.DocumentException
Erzeugt den Tabellen-Header.

Throws:
  `com.itextpdf.text.DocumentException`

### close

public void close() throws IOException, com.itextpdf.text.DocumentException
Schliesst den Report.

Throws:
  `IOException`
  `com.itextpdf.text.DocumentException`

### getDetailCell

public com.itextpdf.text.pdf.PdfPCell getDetailCell(String text, int align, com.itextpdf.text.BaseColor backgroundcolor)
Erzeugt eine Zelle der Tabelle.

Parameters:
  `text` - der anzuzeigende Text.
  `align` - die Ausrichtung.
  `backgroundcolor` - die Hintergundfarbe.
Returns:
  die erzeugte Zelle.

### getDetailCell

public com.itextpdf.text.pdf.PdfPCell getDetailCell(String text, int align)
Erzeugt eine Zelle der Tabelle.

Parameters:
  `text` - der anzuzeigende Text.
  `align` - die Ausrichtung.
Returns:
  die erzeugte Zelle.

### getDetailCell

public com.itextpdf.text.pdf.PdfPCell getDetailCell(String text, int align, com.itextpdf.text.BaseColor backgroundColor, com.itextpdf.text.BaseColor textColor, int fontStyle)
Erzeugt eine Zelle der Tabelle.

Parameters:
  `text` - der anzuzeigende Text.
  `align` - die Ausrichtung.
  `backgroundColor` - die Hintergundfarbe.
  `textColor` - die Textfarbe.
  `fontStyle` - der Schrift-Style.
Returns:
  die erzeugte Zelle.

### getDetailCell

public com.itextpdf.text.pdf.PdfPCell getDetailCell(Double value)
Erzeugt eine Zelle der Tabelle.

Parameters:
  `value` - die Zahl.
Returns:
  die erzeugte Zelle.

### getDetailCell

public com.itextpdf.text.pdf.PdfPCell getDetailCell(double value)
Erzeugt eine Zelle fuer die uebergebene Zahl.

Parameters:
  `value` - die Zahl.
Returns:
  die erzeugte Zelle.

### getDetailCell

public com.itextpdf.text.pdf.PdfPCell getDetailCell(double value, com.itextpdf.text.BaseColor color)
Erzeugt eine Zelle fuer die uebergebene Zahl in der angegebenen Farbe.

Parameters:
  `value` - die Zahl.
  `color` - die Farbe.
Returns:
  die erzeugte Zelle.

### getDetailCell

public com.itextpdf.text.pdf.PdfPCell getDetailCell(double value, com.itextpdf.text.BaseColor color, int fontStyle)
Erzeugt eine Zelle fuer die uebergebene Zahl in der angegebenen Farbe.

Parameters:
  `value` - die Zahl.
  `color` - die Farbe.
  `fontStyle` - der Schrift-Style.
Returns:
  die erzeugte Zelle.

### notNull

public String notNull(String text)
Gibt einen Leerstring aus, falls der Text null ist.

Parameters:
  `text` - der Text.
Returns:
  der Text oder Leerstring - niemals null.